Page MenuHomeVyOS Platform

Expose route-map when BGP routes are programmed in to FIB
Closed, ResolvedPublicFEATURE REQUEST

Description

Hi,

Similar to how 'set protocols ospf route-map ospf-in' generates a FRR configuration statement 'ip protocol ospf route-map ospf-in', we would like to adjust routes when FIB is programmed with routes originating from BGP.

This can be used to selectively prefer BGP routes over OSPF, in conjunction with T1974.

FRR has this functionality built-in, creating this task for us to provide a simply patch to define the route-map.

ie: Create VyOS configuration command 'set protocols bgp 64500 route-map bgp-in' to set 'ip protocol bgp route-map bgp-in' in FRR.

Regards
David Herselman

Details

Difficulty level
Easy (less than an hour)
Version
1.2+
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

bbs2web triaged this task as Normal priority.Jan 22 2020, 12:08 PM
bbs2web created this task.
bbs2web changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
bbs2web changed Version from - to 1.2+.

I've attached a simple patch to expose FRRouting's built-in capability of being able to apply a route-map to routes that are submitted to the FIB from BGP to VyOS.

pasik added a subscriber: pasik.Jan 23 2020, 10:03 AM
syncer changed the task status from Open to Backport candidate.Mar 28 2020, 12:01 PM
syncer assigned this task to jestabro.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
syncer moved this task from Need Triage to Backport Candidates on the VyOS 1.3 Equuleus board.
dmbaturin closed this task as Resolved.Jul 26 2020, 3:37 PM
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.